Package org.apache.maven.scm.provider.bazaar.command.checkin

## Class BazaarCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.bazaar.command.checkin.BazaarCheckInCommand

All Implemented Interfaces:
  `Command`

    public class BazaarCheckInCommand
    extends AbstractCheckInCommand

Author:
  Torbjorn Eikli Smorgrav, Olivier Lamy

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`BazaarCheckInCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CheckInScmResult` `executeCheckInCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String message, ScmVersion version)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarCheckInCommand

    public BazaarCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand​(ScmProviderRepository repo,
                                                     ScmFileSet fileSet,
                                                     java.lang.String message,
                                                     ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`